Last Comment Bug 664774 - Loading and Install text has mixed capitalization.
: Loading and Install text has mixed capitalization.
Status: VERIFIED FIXED
: verified-aurora
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All Android
: -- normal (vote)
: Firefox 6
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 10:50 PDT by Doug Turner (:dougt)
Modified: 2011-07-27 06:40 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v.1 (4.59 KB, patch)
2011-06-16 11:28 PDT, Doug Turner (:dougt)
mark.finkle: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Review

Description Doug Turner (:dougt) 2011-06-16 10:50:34 PDT
Loading and Install text has mixed capitalization.

http://mxr.mozilla.org/mozilla-central/source/embedding/android/locales/en-US/android_strings.dtd


I think we want:


<!ENTITY  splash_screen_label "Loading">
<!ENTITY  splash_screen_installing "Installing Libraries\u2026">

Instead of what we currently have.
Comment 1 Doug Turner (:dougt) 2011-06-16 11:28:06 PDT
Created attachment 539840 [details] [diff] [review]
patch v.1
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-16 11:34:53 PDT
You updated the string entities too! Excellent.
Comment 3 Doug Turner (:dougt) 2011-06-16 11:53:26 PDT
http://hg.mozilla.org/mozilla-central/rev/9a4d38add60a

Mark, should we get this on the 6 train?
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-16 13:06:22 PDT
Comment on attachment 539840 [details] [diff] [review]
patch v.1

Android only and low risk
Comment 5 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-06-22 11:40:53 PDT
Mozilla/5.0 (Android; Linux armv71; rv7.0a1) Gecko/20110622 Firefox/7.0a1 Fennec/7.0a1
Device: Thunderbolt
OS: Android 2.2

Mozilla/5.0 (Android; Linux armv71; rv7.0a1) Gecko/20110622 Firefox/7.0a1 Fennec/7.0a1
Device: HTC Flyer
OS: Android 2.3
Comment 7 Robert Kaiser (not working on stability any more) 2011-06-24 07:38:06 PDT
Umm, why is a locale change accepted on Aurora? We promise to be L10n frozen from Aurora on to release, I don't think we should change that, esp. not for something that trivial.
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-24 08:10:26 PDT
(In reply to comment #7)
> Umm, why is a locale change accepted on Aurora? We promise to be L10n frozen
> from Aurora on to release, I don't think we should change that, esp. not for
> something that trivial.

Looking around for the golden rule, I found a proposal Axel wrote:
http://groups.google.com/group/mozilla.dev.planning/msg/8e660e18b6daf4f4

I read that saying Aurora was the last place where string changes could happen. Beta was a "no-change without driver approval" zone. Also, we were over 2 weeks away from the branch move when the patch was approved.
Comment 9 Robert Kaiser (not working on stability any more) 2011-06-24 09:00:24 PDT
(In reply to comment #8)
> Looking around for the golden rule, I found a proposal Axel wrote

I CCed him, he should clarify.

> I read that saying Aurora was the last place where string changes could
> happen. Beta was a "no-change without driver approval" zone. Also, we were
> over 2 weeks away from the branch move when the patch was approved.

That message seems to be from even before we got things rolling fully in the new system. From all I know Aurora should (ideally) be the last place where changes *in the localizations* happen, but strings on en-US need to be frozen at the time when the code *enters* Aurora, i.e. string changes can only happen on mozilla-central, not on mozilla-aurora.

This is what all other code changes have been following so far, and I actually only came here because localizers complained.

I'll let Axel resolve this, though.
Comment 10 Staś Małolepszy :stas 2011-06-24 11:39:37 PDT
(In reply to comment #9)

> That message seems to be from even before we got things rolling fully in the
> new system. From all I know Aurora should (ideally) be the last place where
> changes *in the localizations* happen, but strings on en-US need to be
> frozen at the time when the code *enters* Aurora, i.e. string changes can
> only happen on mozilla-central, not on mozilla-aurora.

This is correct.  

Is there a chance that we can back this patch out on 6 and target 7?
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-24 14:31:00 PDT
(In reply to comment #10)

> Is there a chance that we can back this patch out on 6 and target 7?

backing out
Comment 12 Mark Finkle (:mfinkle) (use needinfo?) 2011-06-24 14:34:59 PDT
backout from aurora:
http://hg.mozilla.org/releases/mozilla-aurora/rev/05281bcf64d3
Comment 13 Staś Małolepszy :stas 2011-06-24 17:12:09 PDT
Thanks Mark!
Comment 14 Aaron Train [:aaronmt] 2011-07-27 06:40:17 PDT
Verified fixed on this cycle (7)

Mozilla/5.0 (Android; Linux armv7l; rv:7.0a2) Gecko/20110727 Firefox/7.0a2 Fennec/7.0a2

Note You need to log in before you can comment on or make changes to this bug.